<?php
	
	namespace Infocob\CRM\Products\Admin\Classes\Infocob\Entities;
	
	use Infocob\CRM\Products\Admin\Classes\Infocob\Entity;
	
	if(!defined('ABSPATH') && !is_admin()) {
		die();
	}
	
	class FamilleTypeInventaireProduitEntity extends Entity {
		
		public static $champsDefinitions = array(
			"FTI_CODE"              => array(
				"ID"     => true,
				"type"   => "lob",
				"length" => 20,
			),
			"FTI_COMPTEUR"          => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_CODESOCIETE"       => array(
				"type"   => "lob",
				"length" => 5,
			),
			"FTI_DES_FR"            => array(
				"type"   => "lob",
				"length" => 50,
			),
			"FTI_DES_ALL"           => array(
				"type"   => "lob",
				"length" => 50,
			),
			"FTI_DES_ES"            => array(
				"type"   => "lob",
				"length" => 50,
			),
			"FTI_DES_IT"            => array(
				"type"   => "lob",
				"length" => 50,
			),
			"FTI_DES_US"            => array(
				"type"   => "lob",
				"length" => 50,
			),
			"FTI_DATEMODIF"         => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_DATECREATION"      => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_EXPORT"            => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"FTI_CODEFAMILLEIMPORT" => array(
				"type"   => "string",
				"length" => 20,
			),
			"FTI_NBRLIBRE1"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"FTI_NBRLIBRE2"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"FTI_NBRLIBRE3"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"FTI_BOOLLIBRE1"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"FTI_BOOLLIBRE2"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"FTI_INFOLIBRE1"        => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_INFOLIBRE2"        => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_NBRLIBRE4"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"FTI_NBRLIBRE5"         => array(
				"type"   => "decimal",
				"length" => false,
			),
			"FTI_BOOLLIBRE3"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"FTI_BOOLLIBRE4"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"FTI_BOOLLIBRE5"        => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"FTI_DATELIBRE1"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"FTI_DATELIBRE2"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"FTI_DATELIBRE3"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"FTI_DATELIBRE4"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"FTI_DATELIBRE5"        => array(
				"type"   => "datetime",
				"length" => false,
			),
			"FTI_COM_FR"            => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_COM_ALL"           => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_COM_ES"            => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_COM_IT"            => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_COM_US"            => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_CODEVENDEUR"       => array(
				"type"   => "string",
				"length" => 20,
			),
			"FTI_DROIT"             => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_LATITUDE"          => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_LONGITUDE"         => array(
				"type"   => "lob",
				"length" => false,
			),
			"FTI_LIEA"              => array(
				"type"   => "string",
				"length" => 20,
			),
			"FTI_LIESOCIETE"        => array(
				"type"   => "string",
				"length" => 20,
			),
			"CONSTRAINT"            => array(
				"type"   => "lob",
				"length" => false,
			),
		
		);
		
		public static $tableName = "FAMILLETYPEINVENTAIRE";
		public static $tableCode = 10;
		public static $champPrincipalKey = "FTI_CODE";
		public static $champDroitKey = "FTI_DROIT";
	}
