<?php
	
	namespace Infocob\CRM\Products\Admin\Classes\Infocob\Entities;
	
	use Infocob\CRM\Products\Admin\Classes\Infocob\Entity;
	
	if(!defined('ABSPATH') && !is_admin()) {
		die();
	}
	
	class ProduitModeleFicheEntity extends Entity {
		
		public static $champsDefinitions = array(
			"P_CODE"                 => array(
				"ID"     => true,
				"type"   => "string",
				"length" => 20,
			),
			"P_COMPTEUR"             => array(
				"type"   => "int",
				"length" => false,
			),
			"P_CODESOCIETE"          => array(
				"type"   => "string",
				"length" => 5,
			),
			"P_CODEMODELE"           => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_FAMILLE"              => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_CONSTRUCTEUR"         => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_NOM"                  => array(
				"type"   => "lob",
				"length" => 50,
			),
			"P_TAILLE1_MIN"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_TAILLE1_MAX"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_TAILLE2_MIN"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_TAILLE2_MAX"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_TAILLE3_MIN"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_TAILLE3_MAX"          => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_NSERIE"               => array(
				"type"   => "lob",
				"length" => 50,
			),
			"P_NOMBAPTEME"           => array(
				"type"   => "string",
				"length" => 30,
			),
			"P_DATECONSTRUCTION"     => array(
				"type"   => "string",
				"length" => 4,
			),
			"P_1UTILISATION"         => array(
				"type"   => "string",
				"length" => 4,
			),
			"P_DES_FR"               => array(
				"type"   => "string",
				"length" => 255,
			),
			"P_DES_UK"               => array(
				"type"   => "string",
				"length" => 255,
			),
			"P_DES_ALL"              => array(
				"type"   => "string",
				"length" => 255,
			),
			"P_DES_ES"               => array(
				"type"   => "string",
				"length" => 255,
			),
			"P_DES_IT"               => array(
				"type"   => "string",
				"length" => 255,
			),
			"P_DES_INTERNE"          => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_PAHT"                 => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_SESSION"              => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_PVHT"                 => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_MARGE"                => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_TVA"                  => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_MONNAIE"              => array(
				"type"   => "string",
				"length" => 10,
			),
			"P_TTC"                  => array(
				"type"   => "string",
				"length" => 5,
			),
			"P_CONTRAT"              => array(
				"type"   => "string",
				"length" => 30,
			),
			"P_CODECONTACT"          => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_DATE_ENTREE"          => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_DATE_SORTIE"          => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_LOCALISATION1"        => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_LOCALISATION2"        => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_LOCALISATIONVILLE"    => array(
				"type"   => "string",
				"length" => 30,
			),
			"P_LOCALISATIONSECTEUR"  => array(
				"type"   => "string",
				"length" => 30,
			),
			"P_ETAT"                 => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_INFOLIBRE1"           => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE2"           => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE3"           => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE4"           => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE5"           => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE6"           => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE7"           => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE8"           => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE9"           => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE10"          => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE11"          => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE12"          => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_INFOLIBRE13"          => array(
				"type"   => "string",
				"length" => 40,
			),
			"P_NBRLIBRE1"            => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_NBRLIBRE2"            => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_BOOLLIBRE1"           => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"P_BOOLLIBRE2"           => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"P_EXPORT"               => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"P_DATELIBRE1"           => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_DATELIBRE2"           => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_VENDEUR"              => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_TEXTEPRESSE"          => array(
				"type"   => "string",
				"length" => 255,
			),
			"P_TEXTEVITRINE"         => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_REFERENCE"            => array(
				"type"   => "string",
				"length" => 16,
			),
			"P_DATEMODIF"            => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_DATECREATION"         => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_REFFIXE"              => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_REFVARIABLE"          => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_ADRESSE"              => array(
				"type"   => "string",
				"length" => 255,
			),
			"P_CP"                   => array(
				"type"   => "string",
				"length" => 10,
			),
			"P_PAYS"                 => array(
				"type"   => "string",
				"length" => 30,
			),
			"P_ADRESSE2"             => array(
				"type"   => "string",
				"length" => 50,
			),
			"P_ADRESSE3"             => array(
				"type"   => "string",
				"length" => 50,
			),
			"P_ADRESSE4"             => array(
				"type"   => "string",
				"length" => 50,
			),
			"P_DROIT"                => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_LATITUDE"             => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_LONGITUDE"            => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_INTERLOCUTEURCONTACT" => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_LIEA"                 => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_TYPEPRODUIT"          => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_SOUSTYPEPRODUIT"      => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_SOUSSOUSTYPEPRODUIT"  => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_NBRLIBRE3"            => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_NBRLIBRE4"            => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_NBRLIBRE5"            => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_NBRLIBRE6"            => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_NBRLIBRE7"            => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_NBRLIBRE8"            => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_NBRLIBRE9"            => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_NBRLIBRE10"           => array(
				"type"   => "decimal",
				"length" => false,
			),
			"P_BOOLLIBRE3"           => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"P_BOOLLIBRE4"           => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"P_BOOLLIBRE5"           => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"P_BOOLLIBRE6"           => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"P_BOOLLIBRE7"           => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"P_BOOLLIBRE8"           => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"P_BOOLLIBRE9"           => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"P_BOOLLIBRE10"          => array(
				"type"   => "boolean",
				"length" => 1,
			),
			"P_INFOLIBRE14"          => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_INFOLIBRE15"          => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_INFOLIBRE16"          => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_INFOLIBRE17"          => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_INFOLIBRE18"          => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_INFOLIBRE19"          => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_INFOLIBRE20"          => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_DATELIBRE3"           => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_DATELIBRE4"           => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_DATELIBRE5"           => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_DATELIBRE6"           => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_DATELIBRE7"           => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_DATELIBRE8"           => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_DATELIBRE9"           => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_DATELIBRE10"          => array(
				"type"   => "datetime",
				"length" => false,
			),
			"P_DESCRIPTION_FR"       => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_DESCRIPTION_UK"       => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_DESCRIPTION_ALL"      => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_DESCRIPTION_ES"       => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_DESCRIPTION_IT"       => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_CASEACOCHER1"         => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_CASEACOCHER2"         => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_CASEACOCHER3"         => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_CASEACOCHER4"         => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_CASEACOCHER5"         => array(
				"type"   => "lob",
				"length" => false,
			),
			"P_CODEVENDEURGEST"      => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_CODEIMPORT"           => array(
				"type"   => "string",
				"length" => 20,
			),
			"P_LIESOCIETE"           => array(
				"type"   => "string",
				"length" => 20,
			),
			"CONSTRAINT"             => array(
				"type"   => "lob",
				"length" => false,
			),
		);
		public static $tableName = "PRODUITMODELEFICHE";
		public static $tableCode = 16;
		public static $champPrincipalKey = "P_CODE";
		public static $champDroitKey = "P_DROIT";
		
	}
